<template>
    <section>
        <h4 class="text-center font-22 mb-5">Make Payment</h4>
        <ul
            class="nav nav-pills justify-content-center custom-tab-button mb-3"
            id="pills-tab-button"
            role="tablist"
        >
            <li class="nav-item mr-1">
                <a
                    @click.prevent="step = 1"
                    class="nav-link border active"
                    id="pills-card-tab-button"
                    data-toggle="pill"
                    href="#pills-card-button"
                    role="tab"
                    aria-controls="pills-card-button"
                    aria-selected="true"
                    ><span class="tab-btn-icon"
                        ><i class="mdi mdi-cash-usd"></i></span
                    >Transferencia</a
                >
            </li>
            <li class="nav-item mr-0">
                <a
                    @click.prevent="step = 2"
                    class="nav-link border"
                    id="pills-paypal-tab-button"
                    data-toggle="pill"
                    href="#pills-paypal-button"
                    role="tab"
                    aria-controls="pills-paypal-button"
                    aria-selected="false"
                    ><span class="tab-btn-icon"
                        ><i class="mdi mdi-paypal"></i></span
                    >Paypal/Credit Card</a
                >
            </li>
        </ul>
        <div class="tab-content" id="pills-tabContent-button">
            <front-checkout-payment-transfer-component v-if="step == 1"></front-checkout-payment-transfer-component>

            <front-checkout-payment-paypal-component v-if="step == 2"></front-checkout-payment-paypal-component>
        </div>
    </section>
</template>

<script>
export default {
    async created() {
        await this.createPaypal();
    },
    mounted() {
    },
    data() {
        return {
            step: 1
        };
    },
    methods: {
        createPaypal() {
            let sc1 = document.createElement("script");
            sc1.setAttribute(
                "src",
                "https://www.paypal.com/sdk/js?client-id="+process.env.MIX_PAYPAL_CLIENT_ID+"&currency=USD"
            );
            sc1.setAttribute("data-sdk-integration-source", "button-factory");
            document.head.appendChild(sc1);
        },  
    }
};
</script>
